/* sm */

@media screen and (min-width: 640px) {
  .sm-100 {
    width: 100%;
  }
  .sm-50 {
    width: 50%;
  }
  .sm-33 {
    width: 33.3%;
  }
  .sm-25 {
    width: 25%;
  }
  .sm-20 {
    width: 20%;
  }
}

/* md */

@media screen and (min-width: 768px) {
  .md-100 {
    width: 100%;
  }
  .md-50 {
    width: 50%;
  }
  .md-33 {
    width: 33.3%;
  }
  .md-25 {
    width: 25%;
  }
  .md-20 {
    width: 20%;
  }
}

/* lg */

@media screen and (min-width: 1024px) {
  .lg-100 {
    width: 100%;
  }
  .lg-50 {
    width: 50%;
  }
  .lg-33 {
    width: 33.3%;
  }
  .lg-25 {
    width: 25%;
  }
  .lg-20 {
    width: 20%;
  }
}

/* xlg */

@media screen and (min-width: 1280px) {
  .xl-100 {
    width: 100%;
  }
  .xl-50 {
    width: 50%;
  }
  .xl-33 {
    width: 33.3%;
  }
  .xl-25 {
    width: 25%;
  }
  .xl-20 {
    width: 20%;
  }
}

/* 2xlg */

@media screen and (min-width: 1536px) {
  .xxl-100 {
    width: 100%;
  }
  .xxl-50 {
    width: 50%;
  }
  .xxl-33 {
    width: 33.3%;
  }
  .xxl-25 {
    width: 25%;
  }
  .xxl-20 {
    width: 20%;
  }
}
